summaryrefslogtreecommitdiffstats
path: root/extra
diff options
context:
space:
mode:
Diffstat (limited to 'extra')
-rwxr-xr-xextra/update_gh-pages.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/extra/update_gh-pages.sh b/extra/update_gh-pages.sh
index 2761b737..7981fa0a 100755
--- a/extra/update_gh-pages.sh
+++ b/extra/update_gh-pages.sh
@@ -8,7 +8,10 @@ mkdir -p /tmp/fatcat-ghpages
cp -r target/doc/fatcat target/doc/fatcat_api_spec /tmp/fatcat-ghpages
cd ..
git checkout gh-pages
-mv -f /tmp/fatcat-ghpages/* .
+mv fatcat fatcat.old_docs || true
+mv fatcat_api_spec fatcat_api_spec.old_docs || true
+mv /tmp/fatcat-ghpages/fatcat .
+mv /tmp/fatcat-ghpages/fatcat_api_spec .
git add fatcat fatcat_api_spec
git commit -m "updating rendered manpage for github docs" || true
git checkout master